//
//  HelloPanoHotspot.swift
//  PhoenixDemo
//
//  Created by zhangpeng26 on 2021/4/2.
//

import UIKit

class HelloPanoHotspot: UIView {

    override init(frame: CGRect) {
        super.init(frame: frame)
        initNib()
    }
    
    required init?(coder: NSCoder) {
        super.init(coder: coder)
        initNib()
    }
    
    private func initNib() {
        let contentView = Bundle.main.loadNibNamed("HelloPanoHotspot",
                                                   owner: self,
                                                   options: nil)?.first as! UIView
        contentView.frame = frame
        addSubview(contentView)
    }
}
