//
//  PanoImageCubeListViewController.swift
//  PhoenixDemo
//
//  Created by zhangpeng26 on 2021/3/31.
//

import UIKit

class PanoImageCubeListViewController: BasePanoImageViewController {
    private let configs: [String] = ["""
    {
    "resource_type": "pano",
    "render_type": "cube-list",
    "resource": {
    "image": [
      "https://youjia.cdn.bcebos.com/cloud_vr/test_pano_sphere2cube/materials/2d0dfafccc5e4fd6aadb064ebcc0da72_0_7152_inner_online_pano_sphere2cube_high/pieces/scene/00_00_pfiles/pano_f.jpg",
      "https://youjia.cdn.bcebos.com/cloud_vr/test_pano_sphere2cube/materials/2d0dfafccc5e4fd6aadb064ebcc0da72_0_7152_inner_online_pano_sphere2cube_high/pieces/scene/00_00_pfiles/pano_l.jpg",
      "https://youjia.cdn.bcebos.com/cloud_vr/test_pano_sphere2cube/materials/2d0dfafccc5e4fd6aadb064ebcc0da72_0_7152_inner_online_pano_sphere2cube_high/pieces/scene/00_00_pfiles/pano_r.jpg",
      "https://youjia.cdn.bcebos.com/cloud_vr/test_pano_sphere2cube/materials/2d0dfafccc5e4fd6aadb064ebcc0da72_0_7152_inner_online_pano_sphere2cube_high/pieces/scene/00_00_pfiles/pano_u.jpg",
      "https://youjia.cdn.bcebos.com/cloud_vr/test_pano_sphere2cube/materials/2d0dfafccc5e4fd6aadb064ebcc0da72_0_7152_inner_online_pano_sphere2cube_high/pieces/scene/00_00_pfiles/pano_b.jpg",
      "https://youjia.cdn.bcebos.com/cloud_vr/test_pano_sphere2cube/materials/2d0dfafccc5e4fd6aadb064ebcc0da72_0_7152_inner_online_pano_sphere2cube_high/pieces/scene/00_00_pfiles/pano_d.jpg"
    ],
    "order": "flrubd"
    }
    }
    """, """
    {
        "resource_type": "pano",
        "render_type": "cube-list",
        "resource": {
            "image": [
                "https://hydreigon-dev.cdn.bcebos.com/pano-lite/lujiazui-4000/f.jpg",
                "https://hydreigon-dev.cdn.bcebos.com/pano-lite/lujiazui-4000/b.jpg",
                "https://hydreigon-dev.cdn.bcebos.com/pano-lite/lujiazui-4000/l.jpg",
                "https://hydreigon-dev.cdn.bcebos.com/pano-lite/lujiazui-4000/r.jpg",
                "https://hydreigon-dev.cdn.bcebos.com/pano-lite/lujiazui-4000/u.jpg",
                "https://hydreigon-dev.cdn.bcebos.com/pano-lite/lujiazui-4000/d.jpg"
            ],
            "order": "fblrud"
        }
    }
    """,
    ]

    override func setupConfig() {
        segmentConfigs.append(contentsOf: configs)
    }
}
