//
//  PanoImageCubeViewController.swift
//  PhoenixDemo
//
//  Created by zhangpeng26 on 2021/4/1.
//

import UIKit
import Phoenix

class PanoImageCubeViewController: BasePanoImageViewController {
    private let configs: [String] = ["""
    {
        "resource_type": "pano",
        "render_type": "cube",
        "resource": {
            "image":"https://bj.bcebos.com/v1/repos3d/penglai/pano_packages/pack_pano_default_07/pieces/panos/input.tiles/preview.jpg"
        }
    }
    """, """
    {
        "resource_type": "pano",
        "render_type": "cube",
        "resource": {
            "image": "https://repos3d.bj.bcebos.com/penglai/pano_packages/pack_pano_0001e353d/pieces/panos/pano1.tiles/preview.jpg"
        }
    }
    """,
    ]

    override func setupConfig() {
        segmentConfigs.append(contentsOf: configs)
    }
}
