//
//  PanoImageSphereViewController.swift
//  PhoenixDemo
//
//  Created by zhangpeng26 on 2021/4/1.
//

import UIKit

class PanoImageSphereViewController: BasePanoImageViewController {
    private let configs: [String] = ["""
    {
        "resource_type": "pano",
        "render_type": "sphere",
        "resource": {
            "image":"https://repos3d-dev.cdn.bcebos.com/dev/pano_images/pano-test.jpg"
        }
    }
    """, """
    {
        "resource_type": "pano",
        "render_type": "sphere",
        "resource": {
            "image": "https://repos3d-dev.cdn.bcebos.com/dev/pano_images/pano-test2.jpeg"
        }
    }
    """,
    ]

    override func setupConfig() {
        segmentConfigs.append(contentsOf: configs)
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        
    }
}
