//
//  PanoImageViewController.swift
//  PhoenixDemo
//
//  Created by zhangpeng26 on 2021/3/18.
//

import UIKit

class PanoImageMultiTileViewController: BasePanoImageViewController {
    private let configs: [String] = ["""
    {
        "resource_type": "pano",
        "render_type": "cube-multi",
        "resource": {
        "file": "panos/pano1.tiles/%s/l%l/%0v/l%l_%s_%0v_%0h.jpg",
        "url": "https://youjia.cdn.bcebos.com/cloud_vr/test_pano/materials/2d0dfafccc5e4fd6aadb064ebcc0da72_0_7152_inner_online_pano_high/pieces/scene/00_00_pfiles/panos/pano1.tiles/",
            "tile_size": [
              512,
              640,
              1152,
              2304,
              4736
            ]
        }
    }
    """, """
    {
        "resource_type": "pano",
        "render_type": "cube-multi",
        "resource": {
            "file": "panos/input.tiles/%s/l%l/%v/l%l_%s_%v_%h.jpg",
            "url" : "https://repos3d.bj.bcebos.com/penglai/pano_packages/pack_pano_0001e353d/pieces/panos/pano1.tiles/",
            "tile_size": [
                512,
                640,
                1280,
                2624
            ]
        }
    }
    """]

    override func setupConfig() {
        segmentConfigs.append(contentsOf: configs)
    }
}
